Bug 1754452 - [IPI][OSP] destroy cluster command doesn't have a timeout and never ends when there are problems deleting objects
Summary: [IPI][OSP] destroy cluster command doesn't have a timeout and never ends when...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.3.0
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-23 09:58 UTC by David Sanz
Modified: 2020-01-23 11:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:06:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2390 None None None 2019-10-10 14:06:37 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:04 UTC

Description David Sanz 2019-09-23 09:58:36 UTC
Description of problem:
When deleting a cluster deployed on OSP. If there is any problem to delete an object, destroy commands enters on a never ending loop trying to delete it.

10:06:02 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:06:02 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:06:02 level=debug msg="Exiting deleting openstack security-groups"
10:06:02 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:06:02 level=debug msg="Exiting deleting openstack networks"
10:06:02 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:06:02 level=debug msg="Exiting deleting openstack subnets"
Click here to forcibly terminate running steps
10:06:17 level=debug msg="Deleting openstack security-groups"
10:06:17 level=debug msg="Deleting openstack networks"
10:06:17 level=debug msg="Deleting openstack subnets"
10:06:17 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:06:17 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:06:17 level=debug msg="Exiting deleting openstack security-groups"
10:06:17 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:06:17 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:06:17 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:06:17 level=debug msg="Exiting deleting openstack networks"
10:06:17 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:06:17 level=debug msg="Exiting deleting openstack subnets"
10:06:23 level=debug msg="Deleting Router: 4bc67ad4-1353-4308-b9db-ffe2fb49bb2b\n"
10:06:23 level=debug msg="Exiting deleting openstack routers"
10:06:33 level=debug msg="Deleting openstack security-groups"
10:06:33 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:06:33 level=debug msg="Deleting openstack networks"
10:06:33 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:06:33 level=debug msg="Exiting deleting openstack security-groups"
10:06:33 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:06:33 level=debug msg="Deleting openstack routers"
10:06:33 level=debug msg="Deleting openstack subnets"
10:06:33 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:06:33 level=debug msg="Exiting deleting openstack networks"
10:06:33 level=debug msg="Exiting deleting openstack routers"
10:06:33 level=debug msg="goroutine deleteRouters complete"
10:06:33 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:06:34 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:06:34 level=debug msg="Exiting deleting openstack subnets"
10:06:56 level=debug msg="Deleting openstack security-groups"
10:06:56 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:06:56 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:06:56 level=debug msg="Exiting deleting openstack security-groups"
10:06:56 level=debug msg="Deleting openstack networks"
10:06:56 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:06:56 level=debug msg="Deleting openstack subnets"
10:06:56 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:06:56 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:06:56 level=debug msg="Exiting deleting openstack networks"
10:06:57 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:06:57 level=debug msg="Exiting deleting openstack subnets"
10:07:29 level=debug msg="Deleting openstack security-groups"
10:07:29 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:07:29 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:07:29 level=debug msg="Exiting deleting openstack security-groups"
10:07:29 level=debug msg="Deleting openstack networks"
10:07:29 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:07:29 level=debug msg="Deleting openstack subnets"
10:07:29 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:07:29 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:07:29 level=debug msg="Exiting deleting openstack networks"
10:07:29 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:07:29 level=debug msg="Exiting deleting openstack subnets"
10:08:08 level=debug msg="Deleting openstack security-groups"
10:08:08 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:08:08 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:08:08 level=debug msg="Exiting deleting openstack security-groups"
10:08:08 level=debug msg="Deleting openstack networks"
10:08:08 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:08:08 level=debug msg="Deleting openstack subnets"
10:08:08 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:08:08 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:08:08 level=debug msg="Exiting deleting openstack networks"
10:08:08 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:08:08 level=debug msg="Exiting deleting openstack subnets"
10:08:54 level=debug msg="Deleting openstack security-groups"
10:08:54 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:08:54 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:08:54 level=debug msg="Exiting deleting openstack security-groups"
10:08:54 level=debug msg="Deleting openstack networks"
10:08:54 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:08:54 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:08:54 level=debug msg="Exiting deleting openstack networks"
10:08:54 level=debug msg="Deleting openstack subnets"
10:08:54 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:08:54 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:08:54 level=debug msg="Exiting deleting openstack subnets"
10:10:02 level=debug msg="Deleting openstack security-groups"
10:10:02 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:10:02 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:10:02 level=debug msg="Exiting deleting openstack security-groups"
10:10:02 level=debug msg="Deleting openstack networks"
10:10:02 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:10:02 level=debug msg="Deleting openstack subnets"
10:10:02 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:10:02 level=debug msg="Exiting deleting openstack networks"
10:10:02 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:10:02 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:10:02 level=debug msg="Exiting deleting openstack subnets"
10:11:23 level=debug msg="Deleting openstack security-groups"
10:11:23 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:11:23 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:11:23 level=debug msg="Exiting deleting openstack security-groups"
10:11:23 level=debug msg="Deleting openstack networks"
10:11:23 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:11:23 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:11:23 level=debug msg="Exiting deleting openstack networks"
10:11:23 level=debug msg="Deleting openstack subnets"
10:11:23 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:11:23 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:11:23 level=debug msg="Exiting deleting openstack subnets"
10:13:15 level=debug msg="Deleting openstack security-groups"
10:13:15 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:13:15 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:13:15 level=debug msg="Exiting deleting openstack security-groups"
10:13:15 level=debug msg="Deleting openstack networks"
10:13:15 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:13:15 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:13:15 level=debug msg="Exiting deleting openstack networks"
10:13:15 level=debug msg="Deleting openstack subnets"
10:13:15 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:13:15 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:13:15 level=debug msg="Exiting deleting openstack subnets"
10:15:22 level=debug msg="Deleting openstack security-groups"
10:15:22 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:15:22 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:15:22 level=debug msg="Exiting deleting openstack security-groups"
10:15:22 level=debug msg="Deleting openstack networks"
10:15:22 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:15:22 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:15:22 level=debug msg="Exiting deleting openstack networks"
10:15:23 level=debug msg="Deleting openstack subnets"
10:15:23 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:15:23 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:15:23 level=debug msg="Exiting deleting openstack subnets"
10:18:30 level=debug msg="Deleting openstack security-groups"
10:18:30 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:18:30 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:18:30 level=debug msg="Exiting deleting openstack security-groups"
10:18:30 level=debug msg="Deleting openstack networks"
10:18:30 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:18:30 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:18:30 level=debug msg="Exiting deleting openstack networks"
10:18:30 level=debug msg="Deleting openstack subnets"
10:18:30 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:18:30 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:18:30 level=debug msg="Exiting deleting openstack subnets"
10:22:21 level=debug msg="Deleting openstack security-groups"
10:22:21 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:22:21 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:22:21 level=debug msg="Exiting deleting openstack security-groups"
10:22:21 level=debug msg="Deleting openstack networks"
10:22:21 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:22:21 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:22:21 level=debug msg="Exiting deleting openstack networks"
10:22:21 level=debug msg="Deleting openstack subnets"
10:22:21 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:22:21 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:22:21 level=debug msg="Exiting deleting openstack subnets"
10:27:28 level=debug msg="Deleting openstack security-groups"
10:27:28 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:27:28 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:27:28 level=debug msg="Exiting deleting openstack security-groups"
10:27:28 level=debug msg="Deleting openstack networks"
10:27:28 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:27:28 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:27:28 level=debug msg="Exiting deleting openstack networks"
10:27:28 level=debug msg="Deleting openstack subnets"
10:27:28 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:27:28 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:27:28 level=debug msg="Exiting deleting openstack subnets"
10:34:05 level=debug msg="Deleting openstack security-groups"
10:34:05 level=debug msg="Deleting Security Group: 3c6e5148-8845-486d-b984-d7f9eb6ca6fe"
10:34:05 level=debug msg="Deleting Security Group failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/security-groups/3c6e5148-8845-486d-b984-d7f9eb6ca6fe], but got 409 instead\n{\"NeutronError\": {\"message\": \"Security Group 3c6e5148-8845-486d-b984-d7f9eb6ca6fe in use.\", \"type\": \"SecurityGroupInUse\", \"detail\": \"\"}}"
10:34:05 level=debug msg="Exiting deleting openstack security-groups"
10:34:05 level=debug msg="Deleting openstack networks"
10:34:05 level=debug msg="Deleting network: 7678ed06-18b0-459b-885a-8075e36641f2"
10:34:05 level=debug msg="Deleting Network failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/networks/7678ed06-18b0-459b-885a-8075e36641f2], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on network 7678ed06-18b0-459b-885a-8075e36641f2. There are one or more ports still in use on the network.\", \"type\": \"NetworkInUse\", \"detail\": \"\"}}"
10:34:05 level=debug msg="Exiting deleting openstack networks"
10:34:05 level=debug msg="Deleting openstack subnets"
10:34:05 level=debug msg="Deleting Subnet: bc24fe72-82a2-4098-a99b-66c320c027db"
10:34:05 level=debug msg="Deleting Subnet failed: Expected HTTP response code [] when accessing [DELETE https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13696/v2.0/subnets/bc24fe72-82a2-4098-a99b-66c320c027db], but got 409 instead\n{\"NeutronError\": {\"message\": \"Unable to complete operation on subnet bc24fe72-82a2-4098-a99b-66c320c027db: One or more ports have an IP allocation from this subnet.\", \"type\": \"SubnetInUse\", \"detail\": \"\"}}"
10:34:05 level=debug msg="Exiting deleting openstack subnets"

Version-Release number of the following components:
4.2.0

How reproducible:

Steps to Reproduce:
1.Install IPI on OSP
2.Make deletion imposible (create a port in the network with different clusterid)
3.Execute destroy command

Actual results:
Terraform step to delete objects retries the deletion on a infinite loop

Expected results:
After a number of retries, destroy command should exit showing the object which cannot delete

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 5 errata-xmlrpc 2020-01-23 11:06:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.